#!/usr/bin/python3
# coverage-builder gcno tests
# (C) 2014 Canonical Ltd.
# Author: Allan LeSage <allan.lesage@canonical.com>
# License: GPL 3 or later


from test import CoverageBuilderTestCase


class PpaActivationTestCase(CoverageBuilderTestCase):

    def setUp(self):
        super(PpaActivationTestCase, self).setUp()
        self._copy_dummy_project_into_place('cmake-project')
        # let's build outside of a PPA (defaults to inside in super setUp)
        self._fake_currently_building(purpose='Primary')

    def test_configure_inactive_outside_of_ppa(self):
        """dh_auto_configure *doesn't* enable coverage outside of PPA."""
        out, err = self._call_dh_auto_configure()
        self.assertFalse(b'Diverted dh_auto_configure enabling coverage build.' in out)
        self.assertFalse(
            b'Enabling coverage reporting per CMakeLists.txt CMAKE_BUILD_TYPE instruction.' in out)
        self.assertFalse(b'-- Coverage support enabled for targets: fibonacci' in out)

    def test_build_inactive_outside_of_ppa(self):
        """dh_auto_build *doesn't* make .gcno files appear outside of PPA."""
        self._call_dh_auto_configure()
        out, err = self._call_dh_auto_build()
        self.assertFalse(self._find_gcno())
