#!/usr/bin/python3
# coverage-builder tests
# (C) 2014 Canonical Ltd.
# Author: Allan LeSage <allan.lesage@canonical.com>
# License: GPL 3 or later

from test import CoverageBuilderTestCase


class QmakeBuildTestCase(CoverageBuilderTestCase):

    def setUp(self):
        super(QmakeBuildTestCase, self).setUp()
        self._copy_dummy_project_into_place('qmake-project')

    def test_gcnos_appear(self):
        """dh_auto_build makes .gcno files appear.

        qmake is relatively tight-lipped with no configure feedback;
        just make sure that we get gcnos on build.
        """
        self._call_dh_auto_configure()
        self._call_dh_auto_build()
        self.assertTrue(self._find_gcno())
